DESCRIPTION = "binary files from Nvidia along with there configuration"
LICENSE = "propriatary"
PR = "r1"

PACKAGE_ARCH = "${MACHINE_ARCH}"

SRC_URI_colibri-t20 =  "file://trdx-nv-binaries.tar.bz2 \
	file://Tegra-Linux-nvgstplayerR15.alpha.1.0.tbz2 \
	file://mimeapps.list \
	file://nvgstplayer.desktop \
	"

PACKAGES = "${PN}"

FILES_${PN} += " \
	${sysconfdir}/X11/def* \
	${sysconfdir}/X11/xorg.conf.* \
	/lib/firmware/* \
	/usr/lib/* \
	/home/root/.local/share/applications/* \
	"

#no gnu_hash in NVIDIA binaries, skip QA for this package
INSANE_SKIP_${PN} = True

do_install_colibri-t20 () {
	install -d ${D} ${D}/bin ${D}/${sysconfdir}/X11 ${D}/lib/firmware ${D}/usr/lib/gstreamer-0.10 ${D}/usr/lib/xorg/modules/drivers
	install -m 0755 ${WORKDIR}/bin/* ${D}/bin/
	install -m 0644 ${WORKDIR}/${sysconfdir}/X11/* ${D}/${sysconfdir}/X11
	install -m 0644 ${WORKDIR}/lib/firmware/* ${D}/lib/firmware/
	install -m 0755 ${WORKDIR}/usr/lib/*.so ${D}/usr/lib/
	install -m 0755 ${WORKDIR}/usr/lib/gstreamer-0.10/*.so ${D}/usr/lib/gstreamer-0.10
	install -m 0755 ${WORKDIR}/usr/lib/xorg/modules/drivers/* ${D}/usr/lib/xorg/modules/drivers/

	#make sure to use the libgstomx.so provided with trdx-nv-binaries above
	cd ${WORKDIR}; tar xjf nvgstplayer.tbz2; cd ${S}
	install -d ${D}/usr/bin ${D}/home/root/.local/share/applications/
	install -m 0755 ${WORKDIR}/usr/bin/nvgstplayer ${D}/usr/bin/
	install -m 0644 ${WORKDIR}/mimeapps.list ${D}//home/root/.local/share/applications/
	install -m 0644 ${WORKDIR}/nvgstplayer.desktop ${D}/home/root/.local/share/applications/
}
